# Generated by rust2rpm 16
%bcond_without check
%global debug_package %{nil}

%global crate curl-sys
%global upstream_version 0.4.39+curl-7.74.0

Name:           rust-%{crate}
Version:        0.4.39
Release:        2%{?dist}
Summary:        Native bindings to the libcurl library

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/curl-sys
Source:         %{crates_source %{crate} %{upstream_version}}
# Initial patched metadata
# * Remove curl version from version field
# * No windows
# * Drop unused dependencies
# * No zlib-ng features
Patch0:         curl-sys-fix-metadata.diff
# Make static-curl/static-ssl features a noop, not for upstream
Patch0001:      0001-Make-static-curl-static-ssl-features-a-noop.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging
BuildRequires:  pkgconfig(libcurl)

%global _description %{expand:
Native bindings to the libcurl library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libcurl)

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+force-system-lib-on-osx-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+force-system-lib-on-osx-devel %{_description}

This package contains library source intended for building other packages
which use "force-system-lib-on-osx" feature of "%{crate}" crate.

%files       -n %{name}+force-system-lib-on-osx-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+http2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+http2-devel %{_description}

This package contains library source intended for building other packages
which use "http2" feature of "%{crate}" crate.

%files       -n %{name}+http2-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+protocol-ftp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+protocol-ftp-devel %{_description}

This package contains library source intended for building other packages
which use "protocol-ftp" feature of "%{crate}" crate.

%files       -n %{name}+protocol-ftp-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+spnego-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+spnego-devel %{_description}

This package contains library source intended for building other packages
which use "spnego" feature of "%{crate}" crate.

%files       -n %{name}+spnego-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+ssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssl-devel %{_description}

This package contains library source intended for building other packages
which use "ssl" feature of "%{crate}" crate.

%files       -n %{name}+ssl-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+static-curl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-curl-devel %{_description}

This package contains library source intended for building other packages
which use "static-curl" feature of "%{crate}" crate.

%files       -n %{name}+static-curl-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+static-ssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-ssl-devel %{_description}

This package contains library source intended for building other packages
which use "static-ssl" feature of "%{crate}" crate.

%files       -n %{name}+static-ssl-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
# No bundled deps
rm -vrf curl
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Dec 13 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.39-1
- Update to version 0.4.39+curl-7.74.0.
- Fixes RHBZ#1888087

* Thu Aug 20 2020 Josh Stone <jistone@redhat.com> - 0.4.36-1
- Update to 0.4.36+curl-7.71.1

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.33-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 2020 Josh Stone <jistone@redhat.com> - 0.4.33-1
- Update to 0.4.33+curl-7.71.1

* Fri Jun 26 2020 Josh Stone <jistone@redhat.com> - 0.4.32-1
- Update to 0.4.32+curl-7.70.0

* Sun May 17 16:07:18 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.31-2
- Drop move unneeded dependencies
- Add static features back, but make them noop

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.4.31-1
- Update to 0.4.31+curl-7.70.0

* Wed Mar 11 2020 Josh Stone <jistone@redhat.com> - 0.4.30+curl-7.69.1
- Update to 0.4.30+curl-7.69.1

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 0.4.29-1
- Update to 0.4.29+curl-7.68.0

* Wed Mar 04 2020 Josh Stone <jistone@redhat.com> - 0.4.28-1
- Update to 0.4.28+curl-7.69.0

* Sat Feb 29 2020 Josh Stone <jistone@redhat.com> - 0.4.27-1
- Update to 0.4.27

* Thu Feb 20 2020 Josh Stone <jistone@redhat.com> - 0.4.26-1
- Update to 0.4.26

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 0.4.25-1
- Update to 0.4.25

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 0.4.24-1
- Update to 0.4.24

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 12:41:37 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.19-1
- Update to 0.4.19

* Thu May 09 2019 Josh Stone <jistone@redhat.com> - 0.4.18-1
- Update to 0.4.18

* Wed Mar 13 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.17-1
- Update to 0.4.17

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 09 2019 Josh Stone <jistone@redhat.com> - 0.4.16-1
- Update to 0.4.16

* Thu Dec 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.15-2
- Run tests in infrastructure

* Sat Nov 10 2018 Josh Stone <jistone@redhat.com> - 0.4.15-1
- Update to 0.4.15
- Adapt to new packaging

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.13-2
- Adapt to new packaging

* Mon Oct 08 2018 Josh Stone <jistone@redhat.com> - 0.4.13-1
- Update to 0.4.13

* Thu Sep 20 2018 Josh Stone <jistone@redhat.com> - 0.4.12-1
- Update to 0.4.12

* Tue Sep 18 2018 Josh Stone <jistone@redhat.com> - 0.4.11-1
- Update to 0.4.11

* Fri Sep 14 2018 Josh Stone <jistone@redhat.com> - 0.4.10-1
- Update to 0.4.10

* Thu Sep 13 2018 Josh Stone <jistone@redhat.com> - 0.4.9-1
- Update to 0.4.9

* Sat Aug 04 2018 Josh Stone <jistone@redhat.com> - 0.4.8-1
- Update to 0.4.8

* Tue Jul 31 2018 Josh Stone <jistone@redhat.com> - 0.4.7-1
- Update to 0.4.7

* Sat Jul 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.6-1
- Update to 0.4.6

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 02 2018 Josh Stone <jistone@redhat.com> - 0.4.5-1
- Update to 0.4.5

* Mon Apr 16 2018 Josh Stone <jistone@redhat.com> - 0.4.2-1
- Update to 0.4.2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.15-2
- Rebuild for rust-packaging v5

* Sun Nov 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.15-1
- Initial package
